-- Copyright 2007 Vermouth - All rights reserved  looool
--
-- Author: Vermouth
--
--Name: Just Air Transport
--
-- Description:
--    It's like a "no air" but transport (not T3) unit and scout T1 are allowed
--
--

do
	local oldModBlueprints = ModBlueprints

	function ModBlueprints(all_bps)
		oldModBlueprints(all_bps)
		
		for id,bp in all_bps.Unit do
			if bp.General.Category == 'Factory' then
				if bp.Categories[9] == 'AIR' then
					--then it's a T1 factory
					ModBuildable(bp,1)
				elseif bp.Categories[6] == 'AIR' then
					--then it's a T1 factory
					ModBuildable(bp,2)
				end
			elseif bp.Air then
				if bp.StrategicIconName == 'icon_experimental_generic' then
					--then it's an air T4 unit
					table.remove(bp.Categories,3)
					table.remove(bp.Categories,3)
				end
			elseif bp.Display.Abilities[2] == '<LOC ability_carrier>Carrier' and bp.Display.Abilities[3] == '<LOC ability_factory>Factory' then
				AllowAirScout(bp)
			end
		end
	end
	
	function ModBuildable(bp,tech)
		--change BuildableCategory in blueprint
		if tech == 1 then
			if bp.General.FactionName == 'Aeon' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER1FACTORY AEON MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER1FACTORY AEON MOBILE AIR','BUILTBYTIER1FACTORY AEON STRUCTURE AIR','AEON SCOUT AIR TECH1'}
			elseif bp.General.FactionName == 'Cybran' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER1FACTORY CYBRAN MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER1FACTORY CYBRAN MOBILE AIR','BUILTBYTIER1FACTORY CYBRAN STRUCTURE AIR','CYBRAN SCOUT AIR TECH1'}
			elseif bp.General.FactionName == 'UEF' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER1FACTORY UEF MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER1FACTORY UEF MOBILE AIR','BUILTBYTIER1FACTORY UEF STRUCTURE AIR','UEF SCOUT AIR TECH1'}
			else
				bp.Economy.BuildableCategory = {'BUILTBYTIER1FACTORY SERAPHIM MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER1FACTORY SERAPHIM MOBILE AIR','BUILTBYTIER1FACTORY SERAPHIM STRUCTURE AIR','SERAPHIM SCOUT AIR TECH1'}
			end
		else
			if bp.General.FactionName == 'Aeon' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER2FACTORY AEON MOBILE CONSTRUCTION','TRANSPORTATION TRANSPORTBUILTBYTIER2FACTORY AEON MOBILE AIR','AEON SCOUT AIR TECH1'}
			elseif bp.General.FactionName == 'Cybran' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER2FACTORY CYBRAN MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER2FACTORY CYBRAN MOBILE AIR','CYBRAN SCOUT AIR TECH1'}
			elseif bp.General.FactionName == 'UEF' then
				bp.Economy.BuildableCategory = {'BUILTBYTIER2FACTORY UEF MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER2FACTORY UEF MOBILE AIR','UEF SCOUT AIR TECH1'}
			else
				bp.Economy.BuildableCategory = {'BUILTBYTIER2FACTORY SERAPHIM MOBILE CONSTRUCTION','TRANSPORTBUILTBYTIER2FACTORY SERAPHIM MOBILE AIR','SERAPHIM SCOUT AIR TECH1'}
			end
		end
	end
	
	function AllowAirScout(bp)
		if bp.General.FactionName == 'Aeon' then
			bp.Economy.BuildableCategory = {'AEON SCOUT AIR TECH1'}
		elseif bp.General.FactionName == 'Cybran' then
			bp.Economy.BuildableCategory = {'CYBRAN SCOUT AIR TECH1'}
		elseif bp.General.FactionName == 'UEF' then
			bp.Economy.BuildableCategory = {'UEF SCOUT AIR TECH1'}
		else
			bp.Economy.BuildableCategory = {'SERAPHIM SCOUT AIR TECH1'}
		end
	end
end



